| Method | URI | Description |
|---|---|---|
| GET | /v2.0/users/{userId}/RAX-KSGRP | List groups for a specified user. |
Normal response codes: 200, 203
Error response codes: identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)
This table shows the header parameters for the list groups for a user request:
| Name | Type | Description |
|---|---|---|
| String (Required) | A valid authentication token for an administrative user. |
This table shows the URI parameters for the list groups for a user request:
| Name | Type | Description |
|---|---|---|
| String | The user ID. |
This operation does not require a request body.
Example 6.15. List Groups for a User: XML response
<groups xmlns="http://docs.rackspace.com/identity/api/ext/RAX-KSGRP/v1.0">
<group xmlns="http://docs.rackspace.com/identity/api/ext/RAX-KSGRP/v1.0" id="1" name="Default" >
<description>Default Limits</description>
</group>
<group xmlns="http://docs.rackspace.com/identity/api/ext/RAX-KSGRP/v1.0" id="1550" name="New Group 1" >
<description>This is the first new group.</description>
</group>
<group xmlns="http://docs.rackspace.com/identity/api/ext/RAX-KSGRP/v1.0" id="214" name="Faster Defaults" >
<description>Defaults with faster rate limits</description>
</group>
</groups>
Example 6.16. List Groups for a User: JSON response
{
"RAX-KSGRP:groups": [
{
"description": "Default Limits",
"id": "1",
"name": "Default"
},
{
"description": "This is the first new group.",
"id": "1550",
"name": "New Group 1"
},
{
"description": "Defaults with faster rate limits",
"id": "214",
"name": "Faster Defaults"
}
],
"RAX-KSGRP:groups_links":[]
}

